org.apache.tiles.core.definition.pattern

## Class PatternUtil

- java.lang.Object
- - org.apache.tiles.core.definition.pattern.PatternUtil

-     public final class PatternUtil
      extends Object

  Utilities for pattern matching and substitution.
  Since:
    2.2.0

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <K,V> Map<K,V>` | `createExtractedMap(Map<K,V> map, Set<K> keys)` Creates a new map that contains all the entries of the `defsMap` whose keys are contained in `keys`.
    `static Definition` | `replacePlaceholders(Definition d, String name, Object... varsOrig)` Creates a definition given its representation with wildcards and attribute values with placeholders, replacing real values into placeholders.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### replacePlaceholders

          public static Definition replacePlaceholders(Definition d,
                                                       String name,
                                                       Object... varsOrig)

      Creates a definition given its representation with wildcards and attribute values with placeholders, replacing real values into placeholders.
      Parameters:
        `d` - The definition to replace.
        `name` - The name of the definition to be created.
        `varsOrig` - The variables to be substituted.
      Returns:
        The definition that can be rendered.
      Since:
        2.2.0

    - #### createExtractedMap

          public static <K,V> Map<K,V> createExtractedMap(Map<K,V> map,
                                                          Set<K> keys)

      Creates a new map that contains all the entries of the `defsMap` whose keys are contained in `keys`.
      Type Parameters:
        `K` - The key of the map.
        `V` - The value of the map.
      Parameters:
        `map` - The map to read.
        `keys` - The keys to extract.
      Returns:
        The extracted map.
      Since:
        2.2.1

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.